﻿namespace OASystem.API.OAMethodLib
{
    public static class BaseConfig
    {
        /// <summary>
        /// 版本号
        /// </summary>
        public const string Version = "0.0.1";

        /// <summary>
        /// 编码方式
        /// </summary>
        public const string Encoding = "UTF-8";

        /// <summary>
        /// 签名方法 SM2
        /// </summary>
        public const string SignMethod = "02";

        /// <summary>
        /// 招商银行商户号
        /// </summary>
        public const string MER_ID = "3089991727300CV";

        /// <summary>
        /// 招商银行收银员
        /// </summary>
        public const string USER_ID = "V000072134"; // 

        /// <summary>
        /// header中的APPID
        /// </summary>
        public const string APPID = "8ab74856-8772-45c9-96db-54cb30ab9f74"; // 

        /// <summary>
        /// 用于生成header中的APISign
        /// </summary>
        public const string APP_SECRET = "5b96f20a-011f-4254-8be8-9a5ceb2f317f"; // 

        private static X9ECParameters x9ECParameters = GMNamedCurves.GetByName("sm2p256v1");
        private static ECDomainParameters ecDomainParameters = new ECDomainParameters(x9ECParameters.Curve, x9ECParameters.G, x9ECParameters.N);
        /// <summary>
        /// 国密标准公钥头(固定值)
        /// </summary>
        public const string SM2_KEY_TITLE = "3059301306072a8648ce3d020106082a811ccf5501822d03420004";
        /// <summary>
        /// 国密局推荐 ID(固定值)
        /// </summary>
        public const string SM_USER_ID = "1234567812345678";
        /// <summary>
        /// 国密私钥
        /// </summary>
        public const string SM_PRIVATE_KEY = "D5F2AFA24E6BA9071B54A8C9AD735F9A1DE9C4657FA386C09B592694BC118B38";
        /// <summary>
        /// 国密公钥 base64
        /// </summary>
        public const string SM_PUBLIC_KEY = "MFkwEwYHKoZIzj0CAQYIKoEcz1UBgi0DQgAE6Q+fktsnY9OFP+LpSR5Udbxf5zHCFO0PmOKlFNTxDIGl8jsPbbB/9ET23NV+acSz4FEkzD74sW2iiNVHRLiKHg==";

    }

    public static class UrlConfig
    {
        /// <summary>
        /// 通知地址
        /// </summary>
        public const string NotifyUrl = "https://payment.wh-trip.com:8082/Notify";

        /// <summary>
        /// 收款码申请
        /// </summary>
        public const string CollectionQRCode = "https://api.cmburl.cn:8065/polypay/v1.0/mchorders/qrcodeapply";

        /// <summary>
        /// 支付结果查询
        /// </summary>
        public const string OrderqueryUrl = "https://api.cmburl.cn:8065/polypay/v1.0/mchorders/orderquery";

        /// <summary>
        /// 发起退款申请
        /// </summary>
        public const string RefundUrl = "https://api.cmburl.cn:8065/polypay/v1.0/mchorders/refund";

        /// <summary>
        /// 退款申请查询
        /// </summary>
        public const string RefundqueryUrl = "https://api.cmburl.cn:8065/polypay/v1.0/mchorders/refundquery";

        /// <summary>
        /// 支付宝native支付
        /// </summary>
        public const string ZFBQRCodeUrl = "https://api.cmburl.cn:8065/polypay/v1.0/mchorders/zfbqrcode";
    }
}
