﻿using OASystem.Domain.Entities.System;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.ViewModels.System
{
    /// <summary>
    /// 用户表
    /// 数据库查询接受实体类
    /// </summary>
    public class UserInfoView :Sys_Users
    {
        /// <summary>
        /// 公司名称
        /// </summary>
        public string? CompanyName { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        public string? DepName { get; set; }

        /// <summary>
        /// 岗位名称
        /// </summary>
        public string? JobName { get; set; }
    }

    public class UserInfoListView
    {
        /// <summary>
        /// 公司名称
        /// </summary>
        public string CompanyName { get; set; }

        /// <summary>
        /// 部门名称
        /// </summary>
        public string DepName { get; set; }

        /// <summary>
        /// 岗位名称
        /// </summary>
        public string JobName { get; set; }
        /// <summary>
        /// 用户Id
        /// </summary>
        public int Id { get; set; }
        /// <summary>
        /// 中文姓名
        /// </summary>
        
        public string CnName { get; set; }
        /// <summary>
        /// 英文姓名
        /// </summary>
        
        public string EnName { get; set; }
        /// <summary>
        /// 工号
        /// </summary>
        
        public string Number { get; set; }
        /// <summary>
        /// 公司Id
        /// </summary>
       
        public int CompanyId { get; set; }
        /// <summary>
        /// 部门Id
        /// </summary>
        
        public int DepId { get; set; }
        /// <summary>
        /// 岗位Id
        /// </summary>
        
        public int JobPostId { get; set; }
        
        /// <summary>
        /// 性别0 男1 女  2 未设置
        /// </summary>
        
        public int Sex { get; set; }
        /// <summary>
        /// 分机号
        /// </summary>
        
        public string Ext { get; set; }
        /// <summary>
        /// 手机号
        /// </summary>
        
        public string Phone { get; set; }
        /// <summary>
        /// 紧急联系人 手机号
        /// </summary>
        
        public string UrgentPhone { get; set; }
        /// <summary>
        /// 邮箱
        /// </summary>
        
        public string Email { get; set; }
        /// <summary>
        /// 住址
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(200)")]
        public string Address { get; set; }
        /// <summary>
        /// 入职时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime Edate { get; set; }
        /// <summary>
        /// 离职时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "DateTime")]
        public DateTime Rdate { get; set; }
        
       
        /// <summary>
        /// 身份证号码
        /// </summary>
        public string IDCard { get; set; }
        
        
        /// <summary>
        /// 家庭地址
        /// </summary>
        public string HomeAddress { get; set; }
        
    }
}
