﻿
using OASystem.Domain;
using OASystem.Domain.Dtos.UserDto;
using OASystem.Domain.Entities.System;

namespace OASystem.Infrastructure.Repositories.Login
{
    public class LoginRepository : BaseRepository<Sys_Users, LoginView>
    {
        public LoginRepository(SqlSugarClient sqlSugar) : base(sqlSugar)
        {
        }

        /// <summary>
        /// 用户登录
        /// 返回Token
        /// </summary>
        /// <param name="_loginRep"></param>
        /// <param name="loginDto"></param>
        /// <returns></returns>
        public async Task<Result> Login(LoginRepository _loginRep, LoginDto loginDto)
        {
            Result result = new Result();
            string SQLWhere = string.Format("Where Number='{0}' And Password='{1}'", loginDto.Number, loginDto.Password);
            string sql = string.Format("Select * From Sys_Users With(NoLock) {0}", SQLWhere);
            Sys_Users _entity = await _loginRep.GetSingleInfoBySqlWithNolockAsync(sql);
            if (_entity == null)
            {
                result.Code = -2;
                result.Msg = "暂无该账号信息!";

                return result;
            }
            result.Code = 0;
            result.Msg = "登录成功!";
            result.Data = _entity;
            return result;

        }

        /// <summary>
        /// 用户注册
        /// </summary>
        /// <param name="_loginRep"></param>
        /// <param name="registerDto"></param>
        /// <returns></returns>
        public async Task<Result> Register(LoginRepository _loginRep, RegisterDto registerDto)
        {
            Result result = new Result();
            Sys_Users _userInfo = new Sys_Users()
            {
                CnName = registerDto.CnName,
                EnName = registerDto.EnName,
                Sex = registerDto.Sex,
                Number = "",    //员工编号 人事审核通过了 由信息部经理分配
                CompanyId = registerDto.CompanyId,
                DepId = registerDto.DepId,
                JobPostId = registerDto.JobPostId,
                Ext = "", //由部门主管/信息部经理 分配
                Phone = registerDto.Phone,
                UrgentPhone = registerDto.UrgencyPhone,
                Email = registerDto.Email,
                Address = registerDto.Address,
                Edate = DateTime.Now,  //入职时间默认当前数据提交时间
                Rdate = new DateTime(1990, 1, 1),  //离职时间默认最原始时间
                Seniority = 0, //工龄默认 0
                Birthday = registerDto.BirthDay,
                IDCard = registerDto.IdCrad,
                StartWorkDate = new DateTime(1990, 1, 1),  //开始工作时间默认最原始时间
                GraduateInstitutions = registerDto.GraduationSchhol,
                Professional = registerDto.Major,
                Education = registerDto.Education, //学历类型
                TheOrAdultEducation = registerDto.EducationType, //教育类型
                MaritalStatus = registerDto.MaritalStatus, // 未婚/已婚
                HomeAddress = registerDto.HomeAddress,  //身份证上 家庭住址
                UsePeriod = "", //试用期 由该人员入职部门主管手动操作
                Certificate = "", //证件上传地址  多个证件由 | 隔开
                CreateUserId = registerDto.CreateUserId,
                CreateTime = DateTime.Now, //默认当前时间
                DeleteUserId = null,  //删除用户时操作该字段
                DeleteTime = null,   //删除用户时操作该字段
                Remark = "",         //备注
                IsDel = 0
            };
            var _AddId = await _loginRep.AddAsyncReturnId(_userInfo);
            if (_AddId < 0)
            {
                result.Code = -2;
                result.Msg = "用户添加失败!";

                return result;
            }
            result.Code = 0;
            result.Msg = "申请成功!人事主管审核后且信息部经理分配了登录账号,可登录OA!";
            return result;
        }

    }
}
